Bug 1004348 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /var/lib/clamav.
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
abrt_hash:956fb2499bbdfbbc3ba8d7fc990...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 09:03 EDT by John Griffiths
Modified: 2014-01-29 12:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 12:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Griffiths 2013-09-04 09:03:57 EDT
Description of problem:
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /var/lib/clamav.

Do not know if this should be allowed or not.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that httpd should be allowed search access on the clamav directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep /usr/sbin/httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:antivirus_db_t:s0
Target Objects                /var/lib/clamav [ dir ]
Source                        /usr/sbin/httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.6-2.fc19.x86_64
Target RPM Packages           clamav-filesystem-0.97.8-2.fc19.noarch
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.9-200.fc19.x86_64 #1 SMP Wed
                              Aug 21 19:27:58 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-01 03:19:05 EDT
Last Seen                     2013-09-01 03:19:05 EDT
Local ID                      bfc3fd82-446e-4117-b471-9260e7124094

Raw Audit Messages
type=AVC msg=audit(1378019945.558:9800): avc:  denied  { search } for  pid=8317 comm="/usr/sbin/httpd" name="clamav" dev="dm-1" ino=6426830 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:antivirus_db_t:s0 tclass=dir


type=SYSCALL msg=audit(1378019945.558:9800): arch=x86_64 syscall=stat success=no exit=EACCES a0=7f621bcb6680 a1=7fff913c40b0 a2=7fff913c40b0 a3=fffffe00 items=0 ppid=1407 pid=8317 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 ses=4294967295 tty=(none) comm=/usr/sbin/httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: /usr/sbin/httpd,httpd_t,antivirus_db_t,dir,search

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-09-04 09:07:20 EDT
Is this a standard package?  Should we have a special domain to look at antivirus content from a cgi script?
Comment 2 John Griffiths 2013-09-04 09:21:50 EDT
Standard package clamav-filesystem-0.97.8-2.fc19.noarch
Comment 3 Daniel Walsh 2013-09-04 09:25:30 EDT
That has nothing in there about apache.
Comment 4 John Griffiths 2013-09-04 09:32:17 EDT
Don't know. I only configured httpd.conf to add my virtual domains.
Comment 5 Miroslav Grepl 2013-09-09 13:54:48 EDT
So there is no a special apache module? Do you know what you were doing when this happened. It would be nice to trace/catch it.
Comment 6 John Griffiths 2013-09-09 14:14:54 EDT
This happens each time Apache is restarted.
Comment 7 Joe Orton 2014-01-29 12:16:59 EST
As per bug 1004350, I would say it is time to audit this machine!

Note You need to log in before you can comment on or make changes to this bug.